
From: Anton Blanchard <anton@samba.org>

The vmlinux.lds is using .lock.text but __lockfunc was using
.spinlock.text.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/spinlock.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/spinlock.h~correct-elf-section-used-for-out-of-line-spinlocks include/linux/spinlock.h
--- 25/include/linux/spinlock.h~correct-elf-section-used-for-out-of-line-spinlocks	2004-09-05 14:57:42.986946656 -0700
+++ 25-akpm/include/linux/spinlock.h	2004-09-05 14:57:42.990946048 -0700
@@ -44,7 +44,7 @@
 #ifdef CONFIG_SMP
 #include <asm/spinlock.h>
 
-#define __lockfunc fastcall __attribute__((section(".spinlock.text")))
+#define __lockfunc fastcall __attribute__((section(".lock.text")))
 
 int __lockfunc _spin_trylock(spinlock_t *lock);
 int __lockfunc _write_trylock(rwlock_t *lock);
_
